Subject: Re: Mounted Network Drives generate "Too many levels of symbolic links"
From: Takashi Yano via Cygwin <[email-masked]>
To: [email-masked]
Cc: Beth Kirschner <[email-masked]>
Date: Wed, 24 May 2023 07:27:54 +0900
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On Wed, 24 May 2023 07:23:27 +0900
Takashi Yano wrote:
> On Tue, 23 May 2023 13:11:42 +0000
> Beth Kirschner wrote:
> > I can no longer access mounted network drives and receive the following error: "Too many levels of symbolic links". Local drives (C:) work fine.
> > 
> > I believe the problem started after upgrading to Windows 11. I've updated my cygwin packages and attached output from cygcheck, plus some additional details below. Any ideas?
> > 
> > $ mount
> > C:/cygwin64/bin on /usr/bin type ntfs (binary,auto)
> > C:/cygwin64/lib on /usr/lib type ntfs (binary,auto)
> > C:/cygwin64 on / type ntfs (binary,auto)
> > C: on /cygdrive/c type ntfs (binary,posix=0,user,noumount,auto)
> > J: on /cygdrive/j type ntfs (binary,posix=0,user,noumount,auto)
> > O: on /cygdrive/o type ntfs (binary,posix=0,user,noumount,auto)
> > Q: on /cygdrive/q type ntfs (binary,posix=0,user,noumount,auto)
> > R: on /cygdrive/r type ntfs (binary,posix=0,user,noumount,auto)
> > S: on /cygdrive/s type ntfs (binary,posix=0,user,noumount,auto)
> > U: on /cygdrive/u type ntfs (binary,posix=0,user,noumount,auto)
> > V: on /cygdrive/v type ntfs (binary,posix=0,user,noumount,auto)
> > X: on /cygdrive/x type ntfs (binary,posix=0,user,noumount,auto)
> > 
> > bkirschner@LAP123 ~
> > $ ls /cygdrive/q
> > ls: cannot open directory '/cygdrive/q': Too many levels of symbolic links
> 
> What does Get-SmbConnection command say in PowerShell running
> as Administrator?

Also, what does 'net use' command say in command prompt running
as your user account?

-- 
Takashi Yano <[email-masked]>

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple